Name:		mod_authn_otp
Version:	1.1.5
Release:	1%{?dist}
Summary:	OTP auth for apache.

Group:		System Environment/Daemons
License:	ASL 2.0
URL:		http://code.google.com/p/mod-authn-otp/
Source0:	http://mod-authn-otp.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	httpd-devel, openssl-devel
Requires:	httpd

%description
mod_authn_otp is an Apache web server module for two-factor authentication using one-time passwords (OTP) generated via the HOTP/OATH algorithm defined in RFC 4226. This creates a simple way to protect a web site with one-time passwords, using any RFC 4226-compliant token device, including software tokens that run on cell phones such as OATH Token. mod_authn_otp also supports the Mobile-OTP algorithm.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
install -d -m0755 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -d -m0755 $RPM_BUILD_ROOT%{_libdir}/httpd/modules
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES INSTALL LICENSE README users.sample
%{_bindir}/otptool
%{_mandir}/man1/otptool.1.gz
%{_libdir}/httpd/modules/mod_authn_otp.so

%changelog
* Tue Jan  8 2013 momo-i <webmaster@momo-i.org> - 1.1.5-1
- update 1.1.5

* Tue Aug 23 2011 momo-i <webmaster@momo-i.org> - 1.1.4-2
- Added users.sample file.

* Mon Jun 6 2011 momo-i <webmaster@momo-i.org> - 1.1.3-1
- Initial rpm release.
